Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.security.transforms.implementations
Class TransformC14NWithComments

    java.lang.Object
      org.apache.xml.security.transforms.TransformSpi
          org.apache.xml.security.transforms.implementations.TransformC14NWithComments

    public class TransformC14NWithComments

extends TransformSpi

Implements the `http://www.w3.org/TR/2001/REC-xml-c14n-20010315#WithComments` transform.

Author:
  Christian Geuer-Pollmann

Field Summary
`static java.lang.String` | `implementedTransformURI` Field implementedTransformURI

Fields inherited from class org.apache.xml.security.transforms.TransformSpi
`secureValidation`

Constructor Summary
`TransformC14NWithComments()`

Method Summary
`protected java.lang.String` | `engineGetURI()` Returns the URI representation of `Transformation algorithm`
`protected XMLSignatureInput` | `enginePerformTransform(XMLSignatureInput input, java.io.OutputStream os, Transform transformObject)` The mega method which MUST be implemented by the Transformation Algorithm.

Methods inherited from class org.apache.xml.security.transforms.TransformSpi
`enginePerformTransform, enginePerformTransform`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### implementedTransformURI

    public static final java.lang.String implementedTransformURI

  Field implementedTransformURI

  See Also:
    Constant Field Values

Constructor Detail

### TransformC14NWithComments

    public TransformC14NWithComments()

Method Detail

### engineGetURI

    protected java.lang.String engineGetURI()

  Description copied from class: `TransformSpi`
  Returns the URI representation of `Transformation algorithm`

  Specified by:
    `engineGetURI` in class `TransformSpi`
  Returns:
    the URI representation of `Transformation algorithm`

### enginePerformTransform

    protected XMLSignatureInput enginePerformTransform(XMLSignatureInput input,
                                                       java.io.OutputStream os,
                                                       Transform transformObject)
                                                throws CanonicalizationException

  Description copied from class: `TransformSpi`
  The mega method which MUST be implemented by the Transformation Algorithm.

  Overrides:
    `enginePerformTransform` in class `TransformSpi`
  Parameters:
    `input` - `XMLSignatureInput` as the input of transformation
    `os` - where to output this transformation.
    `transformObject` - the Transform object
  Returns:
    `XMLSignatureInput` as the result of transformation
  Throws:
    `CanonicalizationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD